Package org.flowable.dmn.api

# Interface DmnHistoricDecisionExecutionQuery

All Superinterfaces:
  `DeleteQuery<DmnHistoricDecisionExecutionQuery,DmnHistoricDecisionExecution>`, `Query<DmnHistoricDecisionExecutionQuery,DmnHistoricDecisionExecution>`

public interface DmnHistoricDecisionExecutionQuery extends Query<DmnHistoricDecisionExecutionQuery,DmnHistoricDecisionExecution>, DeleteQuery<DmnHistoricDecisionExecutionQuery,DmnHistoricDecisionExecution>
Allows programmatic querying of `DmnHistoricDecisionExecution`s.

Author:
  Tijs Rademakers

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DmnHistoricDecisionExecutionQuery`
  `activityId(String activityId)`
  Only select decision executions with the given activity id.
  `DmnHistoricDecisionExecutionQuery`
  `caseInstanceIdWithChildren(String caseInstanceId)`
  Select all decision executions for the given case instance id and its children.
  `DmnHistoricDecisionExecutionQuery`
  `decisionDefinitionId(String decisionDefinitionId)`
  Only select decision executions with the given definition id.
  `DmnHistoricDecisionExecutionQuery`
  `decisionKey(String decisionKey)`
  Only select decision executions with the given definition key.
  `DmnHistoricDecisionExecutionQuery`
  `deploymentId(String deploymentId)`
  Only select decision executions with the given deployment id.
  `DmnHistoricDecisionExecutionQuery`
  `executionId(String executionId)`
  Only select decision executions with the given execution id.
  `DmnHistoricDecisionExecutionQuery`
  `failed(Boolean failed)`
  Only select decision executions with the given failed state.
  `DmnHistoricDecisionExecutionQuery`
  `id(String id)`
  Only select decision execution with the given id.
  `DmnHistoricDecisionExecutionQuery`
  `ids(Set<String> decisionExecutionIds)`
  Only select decision executions with the given ids.
  `DmnHistoricDecisionExecutionQuery`
  `instanceId(String instanceId)`
  Only select decision executions with the given instance id.
  `DmnHistoricDecisionExecutionQuery`
  `orderByEndTime()`
  Order by the end time of the decision executions (needs to be followed by `Query.asc()` or `Query.desc()`).
  `DmnHistoricDecisionExecutionQuery`
  `orderByStartTime()`
  Order by the start time of the decision executions (needs to be followed by `Query.asc()` or `Query.desc()`).
  `DmnHistoricDecisionExecutionQuery`
  `orderByTenantId()`
  Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).
  `DmnHistoricDecisionExecutionQuery`
  `processInstanceIdWithChildren(String processInstanceId)`
  Select all decision executions for the given process instance id and its children.
  `DmnHistoricDecisionExecutionQuery`
  `scopeType(String scopeType)`
  Only select decision executions with the given scope type.
  `DmnHistoricDecisionExecutionQuery`
  `tenantId(String tenantId)`
  Only select decision executions that have the given tenant id.
  `DmnHistoricDecisionExecutionQuery`
  `tenantIdLike(String tenantIdLike)`
  Only select decision executions with a tenant id like the given one.
  `DmnHistoricDecisionExecutionQuery`
  `withoutScopeType()`
  Only select decision executions without a scope type.
  `DmnHistoricDecisionExecutionQuery`
  `withoutTenantId()`
  Only select decision executions that do not have a tenant id.

  ### Methods inherited from interface org.flowable.common.engine.api.query.DeleteQuery

  `delete, deleteWithRelatedData`

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### id

    DmnHistoricDecisionExecutionQuery id(String id)
    Only select decision execution with the given id.

  - ### ids

    DmnHistoricDecisionExecutionQuery ids(Set<String> decisionExecutionIds)
    Only select decision executions with the given ids.

  - ### decisionDefinitionId

    DmnHistoricDecisionExecutionQuery decisionDefinitionId(String decisionDefinitionId)
    Only select decision executions with the given definition id.

  - ### deploymentId

    DmnHistoricDecisionExecutionQuery deploymentId(String deploymentId)
    Only select decision executions with the given deployment id.

  - ### decisionKey

    DmnHistoricDecisionExecutionQuery decisionKey(String decisionKey)
    Only select decision executions with the given definition key.

  - ### instanceId

    DmnHistoricDecisionExecutionQuery instanceId(String instanceId)
    Only select decision executions with the given instance id.

  - ### executionId

    DmnHistoricDecisionExecutionQuery executionId(String executionId)
    Only select decision executions with the given execution id.

  - ### activityId

    DmnHistoricDecisionExecutionQuery activityId(String activityId)
    Only select decision executions with the given activity id.

  - ### scopeType

    DmnHistoricDecisionExecutionQuery scopeType(String scopeType)
    Only select decision executions with the given scope type.

  - ### withoutScopeType

    DmnHistoricDecisionExecutionQuery withoutScopeType()
    Only select decision executions without a scope type.

  - ### processInstanceIdWithChildren

    DmnHistoricDecisionExecutionQuery processInstanceIdWithChildren(String processInstanceId)
    Select all decision executions for the given process instance id and its children.

  - ### caseInstanceIdWithChildren

    DmnHistoricDecisionExecutionQuery caseInstanceIdWithChildren(String caseInstanceId)
    Select all decision executions for the given case instance id and its children.

  - ### failed

    DmnHistoricDecisionExecutionQuery failed(Boolean failed)
    Only select decision executions with the given failed state.

  - ### tenantId

    DmnHistoricDecisionExecutionQuery tenantId(String tenantId)
    Only select decision executions that have the given tenant id.

  - ### tenantIdLike

    DmnHistoricDecisionExecutionQuery tenantIdLike(String tenantIdLike)
    Only select decision executions with a tenant id like the given one.

  - ### withoutTenantId

    DmnHistoricDecisionExecutionQuery withoutTenantId()
    Only select decision executions that do not have a tenant id.

  - ### orderByStartTime

    DmnHistoricDecisionExecutionQuery orderByStartTime()
    Order by the start time of the decision executions (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByEndTime

    DmnHistoricDecisionExecutionQuery orderByEndTime()
    Order by the end time of the decision executions (needs to be followed by `Query.asc()` or `Query.desc()`).

  - ### orderByTenantId

    DmnHistoricDecisionExecutionQuery orderByTenantId()
    Order by tenant id (needs to be followed by `Query.asc()` or `Query.desc()`).